import request from "@/utils/request";

/**
 * 增加打印机
 * @returns
 */
export function tbPrintMachine(data, method = "post") {
  return request({
    url: "/api/tbPrintMachine",
    method: method,
    data: {
      shopId: localStorage.getItem("shopId"),
      ...data
    }
  });
}

// 开票
export function getbinding(data) {
  return request({
    url: "/api/invoice/binding",
    method: "post",
    data: {
      shopId: localStorage.getItem("shopId"),
      ...data
    }
  });
}
// 提交开票
export function getsubInvoicing(data) {
  return request({
    url: "/api/invoice/subInvoicing",
    method: "post",
    data: {
      shopId: localStorage.getItem("shopId"),
      ...data
    }
  });
}


// 获取数电发票类型
export function getdigitalInvoice(data) {
  return request({
    url: "/api/invoice/digitalInvoice",
    method: "post",
    data: {
      shopId: localStorage.getItem("shopId"),
      ...data
    }
  });
}
// 获取项目分类
export function getindustry(data) {
  return request({
    url: "/api/invoice/industry",
    method: "post",
    data: {
      shopId: localStorage.getItem("shopId"),
      ...data
    }
  });
}
// 计算税额
export function getstoreSe(data) {
  return request({
    url: "/api/invoice/storeSe",
    method: "post",
    data: {
      shopId: localStorage.getItem("shopId"),
      is_tax:1,
      ...data
    }
  });
}
/**
 * 获取应用中心列表
 * @returns
 */
export function appCenterGet(params) {
  return request({
    url: "/api/appCenter",
    method: "get",
    params
  });
}

/**
 * 新增/编辑酒品
 * @returns
 */
export function tbShopStorageGood(data, method = "post") {
  return request({
    url: "/api/tbShopStorageGood",
    method: method,
    data: {
      shopId: localStorage.getItem("shopId"),
      ...data
    }
  });
}

/**
 * 查询酒品列表
 * @returns
 */
export function tbShopStorageGoodlist(data) {
  return request({
    url: "/api/tbShopStorageGood/list",
    method: "post",
    data: {
      shopId: localStorage.getItem("shopId"),
      ...data
    }
  });
}

/**
 * 新增存酒
 * @returns
 */
export function storageWin(data) {
  return request({
    url: "/api/storage",
    method: "post",
    data: {
      shopId: localStorage.getItem("shopId"),
      ...data
    }
  });
}

/**
 * 查询存酒列表
 * @returns
 */
export function storageList(data) {
  return request({
    url: "/api/storage/list",
    method: "post",
    data: {
      shopId: localStorage.getItem("shopId"),
      ...data
    }
  });
}

/**
 * 存取酒
 * @returns
 */
export function storagePut(data) {
  return request({
    url: "/api/storage",
    method: "put",
    data
  });
}

/**
 * 查询存取酒记录
 * @returns
 */
export function recordList(params) {
  return request({
    url: "/api/storage/recordList",
    method: "get",
    params
  });
}

/**
 * 存酒统计
 * @returns
 */
export function countRecord(data) {
  return request({
    url: "/api/storage/countRecord",
    method: "post",
    data: {
      shopId: localStorage.getItem("shopId"),
      ...data
    }
  });
}


/**
 * 广告列表
 * @returns
 */
export function adget(params) {
  return request({
      url: "/api/ad",
      method: "get",
      params
  });
}

/**
* 广告新增单位
* @returns
*/
export function adpost(data) {
  return request({
      url: `/api/ad`,
      method: "post",
      data
  });
}
/**
* 广告编辑详情
* @returns
*/
export function adput(data) {
  return request({
      url: '/api/ad',
      method: 'put',
      data
  })
}

/**
* 广告删除商品
* @returns
*/
export function addelete(params) {
  return request({
      url: "/api/ad/" + params,
      method: "DELETE",
  });
}
